Loading...
Searching...
No Matches
gtsam::AttitudeFactor Class Reference
Navigation

## Detailed Description

Base class for prior on attitude Example:

- measurement is direction of gravity in body frame bF
- reference is direction of gravity in navigation frame nG This factor will give zero error if nRb * bF == nG

Inheritance diagram for gtsam::AttitudeFactor:

## Public Member Functions

| AttitudeFactor ()
| default constructor - only use for serialization
| AttitudeFactor (const Unit3 &nZ, const Unit3 &bRef=Unit3(0, 0, 1))
| Constructor.
Vector | attitudeError (const Rot3 &p, OptionalJacobian< 2, 3 > H=boost::none) const
| vector of errors
const Unit3 & | nZ () const
const Unit3 & | bRef () const
template<class ARCHIVE>
void | serialize (ARCHIVE &ar, const unsigned int)

## Protected Attributes

Unit3 | nZ_
Unit3 | bRef_
| Position measurement in.

## Friends

class | boost::serialization::access
| Serialization function.

## Constructor & Destructor Documentation

## AttitudeFactor()

gtsam::AttitudeFactor::AttitudeFactor | ( | const Unit3 & | nZ,
|  | const Unit3 & | bRef = Unit3(0, 0, 1) )

inline

Constructor.

Parameters

  nZ | measured direction in navigation frame
  bRef | reference direction in body frame (default Z-axis in NED frame, i.e., [0; 0; 1])

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/AttitudeFactor.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/AttitudeFactor.cpp